export namespace automaticBucketing {
    let id: string;
    let type: string;
    let display: string;
    let description: string;
    let options: {};
    namespace columns {
        let keys: {
            id: string;
        }[];
        let measures: {
            id: string;
            display: string;
        }[];
        let filters: {
            id: string;
            equals: string;
        }[];
        let expectNulls: boolean;
    }
}
export namespace automaticBucketingRag {
    let id_1: string;
    export { id_1 as id };
    let type_1: string;
    export { type_1 as type };
    let display_1: string;
    export { display_1 as display };
    let description_1: string;
    export { description_1 as description };
    export namespace options_1 {
        let useRagColour: boolean;
    }
    export { options_1 as options };
    export namespace columns_1 {
        let keys_1: {
            id: string;
        }[];
        export { keys_1 as keys };
        let measures_1: {
            id: string;
            display: string;
        }[];
        export { measures_1 as measures };
        let expectNulls_1: boolean;
        export { expectNulls_1 as expectNulls };
    }
    export { columns_1 as columns };
}
export namespace automaticBucketingCustomBaseColour {
    let id_2: string;
    export { id_2 as id };
    let type_2: string;
    export { type_2 as type };
    let display_2: string;
    export { display_2 as display };
    let description_2: string;
    export { description_2 as description };
    export namespace options_2 {
        let baseColour: string;
    }
    export { options_2 as options };
    export namespace columns_2 {
        let keys_2: {
            id: string;
        }[];
        export { keys_2 as keys };
        let measures_2: {
            id: string;
            display: string;
        }[];
        export { measures_2 as measures };
        let filters_1: {
            id: string;
            equals: string;
        }[];
        export { filters_1 as filters };
        let expectNulls_2: boolean;
        export { expectNulls_2 as expectNulls };
    }
    export { columns_2 as columns };
}
export namespace automaticBucketingCustomColours {
    let id_3: string;
    export { id_3 as id };
    let type_3: string;
    export { type_3 as type };
    let display_3: string;
    export { display_3 as display };
    let description_3: string;
    export { description_3 as description };
    export namespace options_3 {
        let buckets: {
            hexColour: string;
        }[];
    }
    export { options_3 as options };
    export namespace columns_3 {
        let keys_3: {
            id: string;
        }[];
        export { keys_3 as keys };
        let measures_3: {
            id: string;
            display: string;
        }[];
        export { measures_3 as measures };
        let expectNulls_3: boolean;
        export { expectNulls_3 as expectNulls };
    }
    export { columns_3 as columns };
}
export namespace customBucketsWithSizing {
    let id_4: string;
    export { id_4 as id };
    let type_4: string;
    export { type_4 as type };
    let display_4: string;
    export { display_4 as display };
    let description_4: string;
    export { description_4 as description };
    export namespace options_4 {
        let buckets_1: {
            min: number;
            max: number;
        }[];
        export { buckets_1 as buckets };
    }
    export { options_4 as options };
    export namespace columns_4 {
        let keys_4: {
            id: string;
        }[];
        export { keys_4 as keys };
        let measures_4: {
            id: string;
            display: string;
        }[];
        export { measures_4 as measures };
        let expectNulls_4: boolean;
        export { expectNulls_4 as expectNulls };
    }
    export { columns_4 as columns };
}
export namespace customBucketsWithSizingOpen {
    let id_5: string;
    export { id_5 as id };
    let type_5: string;
    export { type_5 as type };
    let display_5: string;
    export { display_5 as display };
    let description_5: string;
    export { description_5 as description };
    export namespace options_5 {
        let buckets_2: ({
            max: number;
            min?: never;
        } | {
            min: number;
            max: number;
        } | {
            min: number;
            max?: never;
        })[];
        export { buckets_2 as buckets };
    }
    export { options_5 as options };
    export namespace columns_5 {
        let keys_5: {
            id: string;
        }[];
        export { keys_5 as keys };
        let measures_5: {
            id: string;
            display: string;
        }[];
        export { measures_5 as measures };
        let expectNulls_5: boolean;
        export { expectNulls_5 as expectNulls };
    }
    export { columns_5 as columns };
}
export namespace customBucketsWithSizingAndColour {
    let id_6: string;
    export { id_6 as id };
    let type_6: string;
    export { type_6 as type };
    let display_6: string;
    export { display_6 as display };
    let description_6: string;
    export { description_6 as description };
    export namespace options_6 {
        let buckets_3: ({
            min: number;
            max: number;
            hexColour: string;
        } | {
            min: number;
            max: number;
            hexColour?: never;
        })[];
        export { buckets_3 as buckets };
    }
    export { options_6 as options };
    export namespace columns_6 {
        let keys_6: {
            id: string;
        }[];
        export { keys_6 as keys };
        let measures_6: {
            id: string;
            display: string;
        }[];
        export { measures_6 as measures };
        let expectNulls_6: boolean;
        export { expectNulls_6 as expectNulls };
    }
    export { columns_6 as columns };
}
export namespace findsTotalsOvertimeValidationError {
    let id_7: string;
    export { id_7 as id };
    let type_7: string;
    export { type_7 as type };
    let display_7: string;
    export { display_7 as display };
    let description_7: string;
    export { description_7 as description };
    export namespace options_7 {
        let useRagColour_1: boolean;
        export { useRagColour_1 as useRagColour };
    }
    export { options_7 as options };
    export namespace columns_7 {
        let keys_7: {
            id: string;
        }[];
        export { keys_7 as keys };
        let measures_7: {
            id: string;
            display: string;
        }[];
        export { measures_7 as measures };
        let expectNulls_7: boolean;
        export { expectNulls_7 as expectNulls };
    }
    export { columns_7 as columns };
}
